Subject: Re: bug#51277: 27.1; menu-set-font not loading correct font

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Oct 2021 16:27:20 +0200

Robert Pluim <[email-masked]> writes:

>     Lars> Indeed, the Pango round trip through symbols is inherently
>     Lars> breakable.  I
>     Lars> mean, the Gtk chooser knows exactly what font I've selected -- but is
>     Lars> there any way to get it to cough up that instead of the Pango weights?
>
> I donʼt think so: Pango is supposed to abstract away from all that.

So is there a way to load fonts in Gtk that doesn't use the weights from
the font files, but instead use the Pango weights?  Is the problem that
we're converting the fonts to the common `font-spec' structure and
throwing away the actual information we have about the fonts?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no